/* Autor:           Dipl.-Inf., Dipl.-Ing. (FH) Michael Wilhelm
   Firma:           HS Harz, FB AI
   Version:         1.1
   Ersterstellung:  07.06.2006
   Letzte Änderung: 12.10.2015
*/

import java.io.*;

 // Beispiel für die Ausgabe mittels eines PrintStreams
 // Die Daten werden immer in ASCII-Zeichen übersetzt und in die Datei geschrieben
 // Kann dann mit jedem ASCII-Editor geoeffnet werden, Notepad

public class WriteASCII01 {

  private static void pause() {
    try {
      System.in.read();
    }
    catch (IOException e) {
    }
  }  // pause

  private static void test1() {
		// Stream
	// Beispiel mit Printstream Funktion
    try {
         FileOutputStream fout =  new FileOutputStream("1.txt"); 
          // weiterleiten zu einem PrintStream
         PrintStream p = new PrintStream(fout);  
         p.print("1. Zeile");
 int i;
         p.println("Hallo World");

        p.println("ABCDEFGHIJKLMNOPQRSTUVWXYZ 0123456789");
         p.println("Montag morgen");
         p.println("123.34");
         p.print("abcxxxxxxxxxxxxxx");
         p.print("123");
         i=345;
    	   p.print(i);
    	   p.print(" ");
         double d1=123.5678;
    	   p.println(d1);
    	   p.println("12.33");
    	   p.println("Letzte Zeile");        
    	   p.close();
       }
       catch (IOException ee) {
           System.err.println("IOException: " + ee);
	 }
    System.out.println("Es wurde die Datei 1.txt erzeugt");
    System.out.println("Bitte Taste druecken");
  }  // test1

  public static void main(String argv[]) {
    test1();
    pause();
  }  // main
}


